Get Threat Blocker traffic statistics
curl --request GET \
--url https://app.aegister.com/api/v1/atb/{id}/traffic/stats \
--header 'X-Aegister-Token: <api-key>'import requests
url = "https://app.aegister.com/api/v1/atb/{id}/traffic/stats"
headers = {"X-Aegister-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Aegister-Token': '<api-key>'}};
fetch('https://app.aegister.com/api/v1/atb/{id}/traffic/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": 0,
"messages": "<array>",
"data": {
"top_source_ips": [
{
"ip": "<string>",
"hits": 123
}
],
"top_destination_ips": [
{
"ip": "<string>",
"hits": 123
}
],
"top_denied_traffic": [
{
"src_ip": "<string>",
"dst_ip": "<string>",
"hits": 123
}
],
"top_communicators": [
{
"ip": "<string>",
"total_hits": 123,
"as_source": 123,
"as_destination": 123
}
]
}
}{
"error": 0,
"messages": "<array>"
}{
"error": 0,
"messages": "<array>"
}Traffic Statistics
Get Threat Blocker traffic statistics
Get traffic statistics for an Threat Blocker. Returns the most frequently occurring source and destination IPs, top denied traffic patterns, and top communicators overall.
GET
/
api
/
v1
/
atb
/
{id}
/
traffic
/
stats
Get Threat Blocker traffic statistics
Authorizations
ApiKeyAuthApiKeyQueryParam
Path Parameters
Query Parameters
End date for filtering (ISO format)
Start date for filtering (ISO format)
Number of top IPs to return
⌘I

